include::../attributes.adoc[]
= asn2deb(1)
:doctype: manpage
:stylesheet: ws.css
:linkcss:
:copycss: {css_dir}/{stylesheet}

== NAME

asn2deb - Create a Debian package for BER monitoring from ASN.1

== SYNOPSIS

[manarg]
*asn2deb*
[ *-a* <ASN.1 file> ]
[ *--asn*=<ASN.1 file> ]
[ *-d* <opts> ]
[ *--dbopts*=<opts> ]
[ *-e* <address> ]
[ *--email*=<address> ]
[ *-h* ]
[ *--help* ]
[ *-n* <name> ]
[ *--name*=<name> ]
[ *-p* ]
[ *--preserve* ]
[ *-v* ]
[ *--version* ]

== DESCRIPTION

This manual page documents briefly the *asn2deb* command. *asn2deb*
takes an ASN.1 file as input and creates a Debian package from it. The package
contains a loadable type table file for the Wireshark network analyzer.
The type table is generated by the ASN.1 compiler *esnacc*.

== OPTIONS

-a <ASN.1 file> --asn=<ASN.1 file>::
ASN.1 file to use (mandatory).

-d <opts> --dbopts=<opts>::
options for dpkg-buildpackage.

-e <address> --email=<address>::
use e-mail address.

-h --help::
print help and exit.

-n <name> --name=<name>::
use user name.

-p --preserve::
do not overwrite files.

-v --version::
print version and exit.

== EXAMPLES

/usr/bin/asn2deb -e me@foo.net -a bar.asn1 \-n "My Name" -d "-rfakeroot -uc -us"-d "-rfakeroot -uc -us"

== SEE ALSO

A lot of tools are used, which you have to *apt-get install*: wireshark-dev, python, cdbs, autotools-dev, debhelper, dpkg-dev,
esnacc.

== COPYING

This manual page was written by W. Borgert debacle@debian.org
for Debian GNU/Linux (but may be used by others). Permission is granted
to copy, distribute and/or modify this document under the terms of the
GNU General Public License, Version 2 or any later version published by
the Free Software Foundation.

== AUTHOR

*W. Borgert* Author.

== COPYRIGHT

Copyright (C) 2003, 2005 W. Borger
